<div class="wrapper-outer">

    <!-- <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="search-box-wrapper">
                    <input placeholder="Search here" autocorrect="off" autocapitalize="off" spellcheck="off" type="text"
                        class="form-control" #search [formControl]="searchControl">
                    <input type="submit" name="">

                  
                    <span class="col-8 help-block bottom fs12 text-left t-red"
                        *ngFor="let validation of errors.searchControl">
                        <span
                            *ngIf="searchControl.hasError(validation.type) && (searchControl.dirty || searchControl.touched)">
                            {{validation.message}}
                        </span>
                    </span>
                </div>
            </div>
        </div>
    </div> -->
<div class="row">
    <div class="col-md-12">
    
        <div class="cont-login">
            <div class="form-box">
                <div class="search-box-wrapper">
                    <input placeholder=" Enter full address including Postcode" autocorrect="off" autocapitalize="off" spellcheck="off" type="text"
                        class="form-control" #search [formControl]="searchControl">
                    <input type="submit" name="" class="alg-inp">
        
                  
                    <span class="col-8 help-block bottom fs12 text-left t-red"
                        *ngFor="let validation of errors.searchControl">
                        <span
                            *ngIf="searchControl.hasError(validation.type) && (searchControl.dirty || searchControl.touched)">
                            {{validation.message}}
                        </span>
                    </span>
                </div>
                <form>
                    <h3 class="text-center">Distance willing to travel</h3>
                    <div class="form-group">
                        Select the proximity
                        <div class="proxi-sldr">
                            <div class="proxi-lt">
                                <mat-slider class="example-margin" [disabled]="disabled" [max]="max" [min]="min"
                                    [step]="step" [value]="distanceValue" [thumbLabel]="thumbLabel"
                                    (input)="onInputChange($event)">
                                </mat-slider>
                            </div>
                            <div class="proxi-value">30 Miles</div>
                        </div>
                    </div>
                    <!-- <div class="form-group text-center">
                        <input type="submit" (click)="saveLocationDetails()" [disabled]="!lat || !lng"
                            value="Save" class="btn">
                    </div> -->
                </form>
                <agm-map [latitude]="lat" [longitude]="lng" style="border:0" allowfullscreen [scrollwheel]="false" [zoom]="zoom" #agmmap 
                >
        
                    <!-- <agm-circle [radius]="distanceValue"  (radiusChange) ='radiusChange()'>
                        <agm-marker [latitude]="lat" [longitude]="lng" ></agm-marker>
                    </agm-circle> -->
                    <agm-circle
                    [latitude]="lat" [longitude]="lng"
                    [circleDraggable]="false"
                    [editable]="false"
                    [fillColor]="circleColor"
                    [radius]="disValue"
                   
                    #agmcircle
                    
                >
                <agm-marker [latitude]="lat" [longitude]="lng" ></agm-marker>
                </agm-circle>
                    <!-- [label]="'M'" -->
                </agm-map>

                <div class="form-group text-center">
                    <input type="submit" (click)="saveLocationDetails()" [disabled]="!searchControl.value"
                        value="Save" class="btn" style="margin-top: 10px;">
                </div>
            </div>
        </div>
    </div>
    
    <!-- <div class="col-md-6"> -->
      
    <!-- </div> -->
</div>
  
    <!-- <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="form-box">
                        <form>
                            <h3 class="text-center">Distance willing to travel</h3>
                            <div class="form-group">
                                Select the proximity
                                <div class="proxi-sldr">
                                    <div class="proxi-lt">
                                        <mat-slider class="example-margin" [disabled]="disabled" [max]="max" [min]="min"
                                            [step]="step" [value]="distanceValue" [thumbLabel]="thumbLabel"
                                            (input)="onInputChange($event)">
                                        </mat-slider>
                                    </div>
                                    <div class="proxi-value">30 Miles</div>
                                </div>
                            </div>
                            <div class="form-group text-center">
                                <input type="submit" (click)="saveLocationDetails()" [disabled]="!lat || !lng"
                                    value="Save" class="btn">
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div> -->
</div>